'use strict';

exports.up = knex => knex.raw(`
  CREATE VIEW wikidot_ru_random_page_view AS
  SELECT name
  FROM wikidot_pages
  WHERE wiki_name = 'scp-ru' AND
    ARRAY [
    'безопасный',
    'евклид',
    'кетер',
    'таумиэль',
    'нейтрализованный',
    'не_назначен',
    'ru',
    'шуточный',
    'архив',
    'рассказ'
    ] :: VARCHAR []
    && wikidot_pages.tags :: VARCHAR []
  ORDER BY random()
  LIMIT 1;
`);

exports.down = knex => knex.raw(`
  DROP TABLE wikidot_ru_random_page_view;
`);
