"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class Draft extends _1.Model {
    static get tableName() {
        return 'drafts';
    }
    static get jsonSchema() {
        return {
            type: 'object',
            required: [
                'title',
                'content',
            ],
            properties: {
                title: { type: 'string', minLength: 1, maxLength: 1000 },
                content: { type: 'string', minLength: 1, maxLength: 100000 },
            },
        };
    }
}
Draft.ID_REG = /^\d{18}$/;
exports.default = Draft;
//# sourceMappingURL=draft.js.map