"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const utils_1 = require("../core/utils");
async function run() {
    utils_1.logImportant('Performing full import');
    const branches = await models_1.Branch.query(models_1.db.replica);
    await Promise.all(branches.map((branch) => branch.importPages()));
}
exports.default = run;
//# sourceMappingURL=full-wiki-import-init.js.map