import { Request, Response } from 'express';
import { db, Draft } from '../../models';

export default async (req: Request, res: Response) => {
  const pages = await Draft.query(db.replica)
    .select('id', 'title')
    .orderBy('title', 'asc');
  res.send(pages);
};
