'use strict';

exports.up = knex => knex.raw(`
  CREATE TABLE branches
  (
    name        text PRIMARY KEY,
    title       text,
    url         text,
    description text,
    language    text
  );
  CREATE UNIQUE INDEX branches_name_uindex
    ON branches (name)
`);

exports.down = knex => knex.raw(`
  DROP TABLE branches;
`);
