"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../core/utils");
const models_1 = require("../../../models");
exports.default = async (req, res) => {
    try {
        const name = await models_1.WikidotPage.getRandomRuPageName();
        res.send({ name });
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/random-page' } });
    }
};
//# sourceMappingURL=random-page.js.map